{-# LANGUAGE OverloadedStrings #-}

module Main where

import Data.Monoid
-- import qualified Data.Text as T
import GetRemotes
import Network.OnRmt
import Network.OnRmt.UI.CmdLine (cmdLineUI, cmdLineStatus)


main =
    do (ui, workreq, s) <- cmdLineUI (appName params)
       result <- onRmt getEntries params ui workreq s
       putStr "Completion with "
       putStrLn $ show $ cmdLineStatus result
       return ()
    where params = OnRmtParams { appName = "onrmttest"
                               , maxParallel = 9
                               , directSSH = False }
